diff --git a/src/gui/res/lang/gui_fr.ts b/src/gui/res/lang/gui_fr.ts
index 811ec5fd..8e0b0404 100644
--- a/src/gui/res/lang/gui_fr.ts
+++ b/src/gui/res/lang/gui_fr.ts
@@ -527,14 +665,24 @@ Ceci autorise Synergy à interagir avec les processus élevés et le dialogue UA
 <context>
     <name>ScreenSettingsDialog</name>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
+        <location filename="src/ScreenSettingsDialog.cpp" line="67"/>
         <source>Screen name is empty</source>
         <translation type="finished">Le nom de l'écran est vide</translation>
     </message>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
-        <source>The name for a screen can not be empty. Please fill in a name or cancel the dialog.</source>
-        <translation type="finished">Le nom de l'écran ne peut pas être vide. Merci de saisir un nom, ou de fermer cette fenêtre.</translation>
+        <location filename="src/ScreenSettingsDialog.cpp" line="68"/>
+        <source>The screen name cannot be empty. Please either fill in a name or cancel the dialog.</source>
+        <translation type="finished">Le nom de l'écran ne peut pas être vide. Merci de compléter le nom ou d'annuler la boîte de dialogue.</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="83"/>
+        <source>Screen name matches alias</source>
+        <translation type="finished">Le nom affiché concorde à l'alias</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="84"/>
+        <source>The screen name cannot be the same as an alias. Please either remove the alias or change the screen name.</source>
+        <translation type="finished">Le nom de l'écran ne peut pas être le même que l'alias. Merci de supprimer l'alias ou de changer le nom de l'écran.</translation>
     </message>
 </context>
 <context>
@@ -712,35 +860,43 @@ Ceci autorise Synergy à interagir avec les processus élevés et le dialogue UA
         <translation type="finished">&lt;center&gt;Écran: &lt;b&gt;%1&lt;/b&gt;&lt;/center&gt;&lt;br&gt;Double cliquer pour modifier les réglages&lt;br&gt;Faire glisser vers la corbeille pour le supprimer</translation>
     </message>
 </context>
+<context>
+    <name>ServerConfigDialog</name>
+    <message>
+        <location filename="src/ServerConfigDialog.cpp" line="75"/>
+        <source>Configure server</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>ServerConfigDialogBase</name>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="13"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="14"/>
         <source>Server Configuration</source>
         <translation type="finished">Configuration Serveur</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="23"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="24"/>
         <source>Screens and links</source>
         <translation type="finished">Écrans et liens</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="34"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="35"/>
         <source>Drag a screen from the grid to the trashcan to remove it.</source>
         <translation type="finished">Faire glisser un écran de la grille vers la corbeille pour le supprimer.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="59"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="60"/>
         <source>Configure the layout of your synergy server configuration.</source>
         <translation type="finished">Configurer l'organisation de votre configuration serveur</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="72"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="73"/>
         <source>Drag this button to the grid to add a new screen.</source>
         <translation type="finished">Faire glisser ce bouton sur la grille pour ajouter un nouvel écran</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="127"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="128"/>
         <source>Drag new screens to the grid or move existing ones around.
 Drag a screen to the trashcan to delete it.
 Double click on a screen to edit its settings.</source>
@@ -749,129 +905,134 @@ Faire glisser un écran dans la corbeille pour le supprimer.
 Double cliquer sur un écran pour modifier ses réglages.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="156"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="157"/>
         <source>Hotkeys</source>
         <translation type="finished">Raccourcis clavier</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="162"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="163"/>
         <source>&amp;Hotkeys</source>
         <translation type="finished">Raccourcis clavier</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="174"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="175"/>
         <source>&amp;New</source>
         <translation type="finished">&amp;Nouveau</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="184"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="185"/>
         <source>&amp;Edit</source>
         <translation type="finished">&amp;Editer</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="194"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="195"/>
         <source>&amp;Remove</source>
         <translation type="finished">&amp;Supprimer</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="217"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="218"/>
         <source>A&amp;ctions</source>
         <translation type="finished">A&amp;ctions</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="229"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="230"/>
         <source>Ne&amp;w</source>
         <translation type="finished">Nou&amp;veau</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="239"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="240"/>
         <source>E&amp;dit</source>
         <translation type="finished">E&amp;diter</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="249"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="250"/>
         <source>Re&amp;move</source>
         <translation type="finished">Suppri&amp;mer</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="273"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="274"/>
         <source>Advanced server settings</source>
         <translation type="finished">Configuration serveur avancé</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="279"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="280"/>
         <source>&amp;Switch</source>
         <translation type="finished">Basculer</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="290"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="291"/>
         <source>Switch &amp;after waiting</source>
         <translation type="finished">Changer d'écran après</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="329"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="382"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="457"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="330"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="383"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="458"/>
         <source>ms</source>
         <translation type="finished">ms</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="343"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="344"/>
         <source>Switch on double &amp;tap within</source>
         <translation type="finished">Changer d'écran en double-cliquant dans les</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="407"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="408"/>
         <source>&amp;Options</source>
         <translation type="finished">&amp;Options</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="418"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="419"/>
         <source>&amp;Check clients every</source>
         <translation type="finished">Vérifier les clients toutes les</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="469"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="470"/>
         <source>Use &amp;relative mouse moves</source>
         <translation type="finished">Utiliser des mouvements souris &amp;relatifs</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="479"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="480"/>
         <source>S&amp;ynchronize screen savers</source>
         <translation type="finished">S&amp;ynchroniser les écrans de veille</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="489"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="490"/>
         <source>Don't take &amp;foreground window on Windows servers</source>
         <translation type="finished">Ne pas prendre la fenêtre au premier plan sur les serveurs Windows.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="512"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="510"/>
+        <source>Ignore auto config clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/ServerConfigDialogBase.ui" line="520"/>
         <source>&amp;Dead corners</source>
         <translation type="finished">Coins morts</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="521"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="529"/>
         <source>To&amp;p-left</source>
         <translation type="finished">Ha&amp;ut-gauche</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="528"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="536"/>
         <source>Top-rig&amp;ht</source>
         <translation type="finished">Haut-&amp;droit</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="535"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="543"/>
         <source>&amp;Bottom-left</source>
         <translation type="finished">&amp;Bas-gauche</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="542"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="550"/>
         <source>Bottom-ri&amp;ght</source>
         <translation type="finished">Bas-d&amp;roit</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="564"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="572"/>
         <source>Cor&amp;ner Size:</source>
         <translation type="finished">Taille des coi&amp;ns :</translation>
     </message>
@@ -879,14 +1040,22 @@ Double cliquer sur un écran pour modifier ses réglages.</translation>
 <context>
     <name>SettingsDialog</name>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="62"/>
-        <source>Encryption password must not be empty.</source>
-        <translation type="finished">Le mot de passe pour le chiffrement ne doit pas être vide.</translation>
+        <location filename="src/SettingsDialog.cpp" line="131"/>
+        <source>Save log file to...</source>
+        <translation type="finished">Enregistrer le journal dans le fichier :</translation>
     </message>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="121"/>
-        <source>Save log file to...</source>
-        <translation type="finished">Sauvegarder le journal sous...</translation>
+        <location filename="src/SettingsDialog.cpp" line="151"/>
+        <source>Elevate Synergy</source>
+        <translation type="finished">Élever Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/SettingsDialog.cpp" line="152"/>
+        <source>Are you sure you want to elevate Synergy?
+
+This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
+        <translation type="finished">Êtes-vous sûr de vouloir élever Synergy&amp;nbsp;?
+Ceci autorise Synergy à interagir avec les processus élevés et le dialogue UAC, mais peut poser des problèmes avec les processus non-élevés. N'élevez Synergy que si cela est nécessaire.</translation>
     </message>
 </context>
 <context>
@@ -897,132 +1066,102 @@ Double cliquer sur un écran pour modifier ses réglages.</translation>
         <translation type="finished">Paramètres</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="165"/>
-        <source>&amp;Advanced</source>
-        <translation type="finished">&amp;Avancé</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="177"/>
+        <location filename="res/SettingsDialogBase.ui" line="32"/>
         <source>Sc&amp;reen name:</source>
         <translation type="finished">Nom de l'éc&amp;ran</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="194"/>
+        <location filename="res/SettingsDialogBase.ui" line="49"/>
         <source>P&amp;ort:</source>
         <translation type="finished">&amp;Port :</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="223"/>
+        <location filename="res/SettingsDialogBase.ui" line="78"/>
         <source>&amp;Interface:</source>
-        <translation type="finished">Interface&amp;nbsp;:</translation>
+        <translation type="finished">Interface :</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="26"/>
-        <source>&amp;Start Synergy after logging in</source>
-        <translation type="finished">Démarrer Synergy après l'ouverture de &amp;session</translation>
+        <location filename="res/SettingsDialogBase.ui" line="120"/>
+        <source>Elevate mode</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="33"/>
-        <source>&amp;Automatically start server/client</source>
-        <translation type="finished">Démarrer &amp;automatiquement le serveur/client</translation>
+        <location filename="res/SettingsDialogBase.ui" line="127"/>
+        <source>&amp;Hide on startup</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="40"/>
-        <source>&amp;Hide when server/client starts</source>
-        <translation type="finished">&amp;Masquer lorsque le serveur/client démarre</translation>
+        <location filename="res/SettingsDialogBase.ui" line="146"/>
+        <source>&amp;Network Security</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="273"/>
+        <location filename="res/SettingsDialogBase.ui" line="155"/>
+        <source>Use &amp;SSL encryption (unique certificate)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SettingsDialogBase.ui" line="184"/>
         <source>Logging</source>
         <translation type="finished">Journal</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="240"/>
-        <source>&amp;Process mode:</source>
-        <translation type="finished">Mode &amp; processus:</translation>
+        <location filename="res/SettingsDialogBase.ui" line="202"/>
+        <source>&amp;Logging level:</source>
+        <translation type="finished">Niveau de journalisation :</translation>
     </message>
     <message>
         <location filename="res/SettingsDialogBase.ui" line="251"/>
-        <source>Service</source>
-        <translation type="finished">Service</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="256"/>
-        <source>Desktop (legacy)</source>
-        <translation type="finished">Bureau (compatibilité)</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="291"/>
-        <source>&amp;Logging level:</source>
-        <translation type="finished">Niveau de journalisation&amp;nbsp;:</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="340"/>
         <source>Log to file:</source>
         <translation type="finished">Enregistrer le journal dans le fichier&amp;nbsp;:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="357"/>
+        <location filename="res/SettingsDialogBase.ui" line="268"/>
         <source>Browse...</source>
         <translation type="finished">Parcourir</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="302"/>
+        <location filename="res/SettingsDialogBase.ui" line="213"/>
         <source>Error</source>
         <translation type="finished">Erreur</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="20"/>
-        <source>&amp;Graphical interface</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="55"/>
+        <location filename="res/SettingsDialogBase.ui" line="107"/>
         <source>&amp;Language:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Langage :</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="82"/>
-        <source>&amp;Encryption</source>
-        <translation type="finished">Chiffrement</translation>
+        <location filename="res/SettingsDialogBase.ui" line="20"/>
+        <source>&amp;Miscellaneous</source>
+        <translation type="finished">Divers</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="97"/>
-        <source>&amp;Mode:</source>
-        <translation type="finished">Mode&amp;nbsp;:</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="142"/>
-        <source>Pass&amp;word:</source>
-        <translation type="finished">Mot de passe&amp;nbsp;:</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="307"/>
+        <location filename="res/SettingsDialogBase.ui" line="218"/>
         <source>Warning</source>
         <translation type="finished">Avertissement</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="312"/>
+        <location filename="res/SettingsDialogBase.ui" line="223"/>
         <source>Note</source>
         <translation type="finished">Remarque</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="317"/>
+        <location filename="res/SettingsDialogBase.ui" line="228"/>
         <source>Info</source>
         <translation type="finished">Infos</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="322"/>
+        <location filename="res/SettingsDialogBase.ui" line="233"/>
         <source>Debug</source>
         <translation type="finished">Debug</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="327"/>
+        <location filename="res/SettingsDialogBase.ui" line="238"/>
         <source>Debug1</source>
         <translation type="finished">Debug1</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="332"/>
+        <location filename="res/SettingsDialogBase.ui" line="243"/>
         <source>Debug2</source>
         <translation type="finished">Debug2</translation>
     </message>
